Subject: Backgammon Program

From: Stock10087 <[email-masked]>
Date: Sun, 7 Dec 1997 16:38:25 EST

Gang---
Just played against your system. Some comments:
1--Drag and drop will really enhance this when you incorporate it.
2--The logic for the computer's moves after contact has been broken should be
reviewed. During my game, the computer wasted several pips moving in its home
board when it should have been moving its runner along.
3--The logic for bearing off also should be checked. The computer rolled
doubles ones in the bear off with three men on the one point and only took off
two men.
4--I must admit I lost the game. However, when I encounter the kind of logic
seen in comments #2 and #3, I sometimes question the true "randomness" of the
roles of the die. For example, once the bear off began, the computer rolled
double 6's, double 4's, never hit a "hole", etc., while I rolled 1-2 twice,
hit several holes, and at least in theory) played my men to appropriate points
during the bear off. Do the roles come from a true random number generator?
Thanks for the game,
An Old Backgammon Cuber